Create a cloud instance

POST/v1/cloud_computing/instances

A new cloud instance can be created by sending a POST request to /v1/cloud_computing/instances. Parameters of the instance are specified in the request body.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/cloud_computing/instances" \  -H "Content-Type: application/json" \  -d '{    "name": "test-instance-2",    "flavor_id": "101",    "image_id": "f9be84c4-8555-44ec-a8ba-983a386c36eb",    "gpn_enabled": false,    "ipv6_enabled": true,    "region_id": 0,    "user_data": "#!/bin/bash\\ntouch /var/file.created.successfully",    "ssh_key_fingerprint": "48:81:0c:43:99:12:71:5e:ba:fd:e7:2f:20:d7:95:e8",    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    }  }'
{  "id": "Mvbmw0eY",  "openstack_uuid": null,  "status": "PROVISIONING",  "name": "test-instance-2",  "region_id": 0,  "region_code": "NL01",  "flavor_id": "101",  "flavor_name": "SSD.1",  "image_id": "f9be84c4-8555-44ec-a8ba-983a386c36eb",  "image_name": null,  "public_ipv4_address": null,  "private_ipv4_address": null,  "local_ipv4_address": null,  "public_ipv6_address": null,  "ipv6_enabled": false,  "gpn_enabled": false,  "created_at": "2026-05-28T07:06:28Z",  "updated_at": "2026-05-28T07:06:28Z",  "backup_copies": 0,  "public_port_blocked": false,  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  }}
{  "message": "Account payment method doesn't exist",  "code": "PAYMENT_REQUIRED"}
{  "message": "Flavor too small",  "code": "CONFLICT"}
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "image_id": "image not found"  }}
{  "message": "Region in maintenance mode",  "code": "CLOUD_REGION_MAINTENANCE"}